%define version      0.2.2
%define release      2mdk
%define name pip

Summary:    Command line wrapper for programs without stdin/out support
Name:       %name
Version:    %version
Release:    %release
License:  Public Domain
Group:      File tools
Source:     %name-%version.tar.bz2
Patch:      %name-warnings.diff.bz2
BuildRoot:  %_tmppath/%name-buildroot
BuildArch:  noarch
Requires:   perl
Prefix:     %_prefix
URL:        http://www.doc.ic.ac.uk/~epa98/work/apps/pip

%description
Some programs (often those from a non-Unix background) don't read
input from stdin, nor write to stdout.  Instead, they make you specify
an 'input file' and an 'output file' on the command line.  At least most
Unix programs that do this let you use the special filename '-' to
mean stdin or stdout, but there are some programs that don't recognize 
this convention.

Sometimes this is for technical reasons, because the input needs to be
seekable.  Sometimes it is because the author didn't think it would be
useful and is probably a Pascal sympathizer :-).  But in any case, it
is annoying not to be able to use such programs in pipelines.

Pip fixes this problem.  It wraps such programs and lets you give
filenames of '-' as you would with any other.  However pip doesn't
know whether '-' should mean stdin or stdout, so you must tell it with 
the -i or -o flags.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%patch -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp pip $RPM_BUILD_ROOT%{_bindir}
cp pip_latex $RPM_BUILD_ROOT%{_bindir}
ln $RPM_BUILD_ROOT%{_bindir}/pip_latex $RPM_BUILD_ROOT%{_bindir}/pip_tex

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README ChangeLog
%{_bindir}/pip*

%changelog
* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-2mdk
- rebuild

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- updated to 0.2.2

* Thu Nov 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- initial Mandrake build


